{%mainunit ../BASE_Engine.pas}

{***************************************************
 Package pl_TitanScript.pkg
 This file is part of CodeTyphon Studio
****************************************************}

constructor TTitanDllList.Create;
begin
  fDllList := TList.Create;
end;

function TTitanDllList.GetRecord(I: integer): TTitanDllRec;
begin
  Result := TTitanDllRec(fDllList[I]);
end;

function TTitanDllList.GetCount: integer;
begin
  Result := fDllList.Count;
end;

function TTitanDllList.FindDllByName(const DllName: string): TTitanDllRec;
var
  I: integer;
begin
  for I := 0 to Count - 1 do
    if CompareText(Records[I].DllName, DllName) = 0 then
    begin
      Result := Records[I];
      Exit;
    end;
  Result := nil;
end;

function TTitanDllList.LoadDll(const DllName: string; scripter: Pointer): TTitanDllRec;

  function _LoadDll(const DllName: string): TTitanDllRec;
  var
    Handle: THandle;
  begin
    Result := FindDllByName(DllName);
    if Result <> nil then
      Exit;

{$IFDEF FP}
    Handle := HMODULE(dynlibs.LoadLibrary(DLLName));
{$ELSE}
    Handle := dynlibs.LoadLibrary(PChar(DllName));
 {$ENDIF}

    if Handle > 0 then
    begin
      Result := TTitanDllRec.Create;
      Result.Handle := Handle;
      Result.DllName := DllName;
      fDllList.Add(Result);
    end
    else
      Result := nil;
  end;

var
  S: TCustomScripter;//TTitanScripter;
  I: integer;
begin
  Result := _LoadDll(DllName);
  if Result <> nil then
    Exit;

 // S := TTitanScripter(TTitanBaseScripter(scripter).Owner);

  S := TCustomScripter(TCustomScripter(scripter).Owner);

  if S.SearchPathes.Count = 0 then Exit;

  for I := 0 to S.SearchPathes.Count - 1 do
  begin
    Result := _LoadDll(S.SearchPathes[I] + DllName);
    if Result <> nil then
      Exit;
  end;
end;

destructor TTitanDllList.Destroy;
var
  I: integer;
begin
  for I := 0 to Count - 1 do
  begin
    FreeLibrary(Records[I].Handle);
    Records[I].Free;
  end;
  fDllList.Free;
end;

