{***************************************************
 Titan Scripter
 Copyright (C) PilotLogic Software House
 http://www.pilotlogic.com

 Package pl_TitanScript.pkg
 This file is part of CodeTyphon Studio
****************************************************}

{$I TitanScript.inc}

unit Titan_Dfm;

interface

uses
  SysUtils,
  TypInfo,
  Classes,
  Graphics,
  BASE_Engine,
  TitanScripter;

type
  TTitanDfmConverter = class(TComponent)
  private
    fUsedUnits: TStrings;
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
    procedure Parse(const DfmFileName: string; Output: TStrings; AsUnit: boolean = True); overload;
    procedure Parse(const DfmFileName: string; Output: TStrings; const PaxLanguage: string; AsUnit: boolean = True); overload;
    procedure ParseText(const Text: string; Output: TStrings; const UnitName: string = '';
      const PaxLanguage: string = 'TitanPascal');
    property UsedUnits: TStrings read fUsedUnits write fUsedUnits;
  end;

implementation

constructor TTitanDfmConverter.Create(AOwner: TComponent);
begin
  inherited;
  fUsedUnits := TStringList.Create;
end;

destructor TTitanDfmConverter.Destroy;
begin
  fUsedUnits.Free;
  inherited;
end;

procedure TTitanDfmConverter.Parse(const DfmFileName: string; Output: TStrings; AsUnit: boolean = True);
begin
  ConvertDfmFile(DfmFileName, UsedUnits, Output, AsUnit);
end;

procedure TTitanDfmConverter.Parse(const DfmFileName: string; Output: TStrings; const PaxLanguage: string; AsUnit: boolean = True);
begin
  ConvertDfmFile(DfmFileName, UsedUnits, Output, AsUnit, nil, PaxLanguage);
end;

procedure TTitanDfmConverter.ParseText(const Text: string; Output: TStrings; const UnitName: string = '';
  const PaxLanguage: string = 'TitanPascal');
begin
  ConvDFMStringtoScript(Text, UsedUnits, Output, UnitName <> '', UnitName, nil, PaxLanguage);
end;

procedure _AssignBmp(X: TObject; S: string);
begin
{$IFNDEF BCB}
  SaveStr(S, 'temp.bmp');
  if X.InheritsFrom(TGraphic) then
    TGraphic(X).LoadFromFile('temp.bmp');
{$ENDIF}
end;

initialization

  RegisterRoutine('procedure _AssignBmp(X: TObject; S: String);', @_AssignBmp);


end.
